Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513718 - [RFE] SUI should support multiple currencies
Summary: [RFE] SUI should support multiple currencies
Keywords:
Status: NEW
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: Harpreet Kataria
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 20:38 UTC by Nandini Chandra
Modified: 2019-04-10 03:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-15 20:46:05 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nandini Chandra 2017-11-15 20:38:33 UTC
Description of problem:
-----------------------
Chargeback Rates can be created for four currencies.But, Chargeback cost for services is always displayed in USD on the SUI Dashboard.

I'm reporting this RFE so that support can be added to SUI for displaying costs in multiple currencies.


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
5.8, 5.9


How reproducible:
----------------


Steps to Reproduce:
-------------------
1.
2.
3.


Actual results:
---------------
SUI supports USD only.


Expected results:
-----------------
SUI should support multiple currencies.


Additional info:
----------------

Comment 2 Chris Kacerguis 2017-11-15 20:46:05 UTC

*** This bug has been marked as a duplicate of bug 1506049 ***

Comment 3 Nandini Chandra 2017-11-15 22:18:30 UTC
Hi Chris,

This was closed as a duplicate of bug 1506049 through which Chargeback support for these currencies - NZD,AUD is being added in the classic UI.

Could you help me understand why this BZ would be a duplicate of bug 1506049?

I wanted to keep this open until SUI support for non-USD currencies is added so that I could verify that Chargeback costs get displayed in non-USD currencies on the SUI Dashboard.

Thank you.

Comment 4 Chris Kacerguis 2017-11-15 23:02:35 UTC
Hi Nandini,

The SUI interacts with the API (which is different than the way that the classic UI interacts).  We cannot support multiple languages until their API supports it.  Once the API supports it, it will just start working in the SUI (assuming no API changes happen)...with the exception of literally the $ (which we would need to get from the API...but that is trivial).  Given that...my thought is that is this is essentially a duplicate.  If you would like, I can send this to the API team (same as Appliance).

I have moved this back to NEW so I don't lose track of it.  Let me know.

Comment 6 bascar 2018-07-23 17:35:13 UTC
Based on changes coming into 5.10, look to see if can support same from SUI.


Note You need to log in before you can comment on or make changes to this bug.